library viltage;
import 'dart:html';
import 'package:stagexl/stagexl.dart';

part 'viltage_config.dart';
part 'entity.dart';
part 'viltage_screen.dart';

class VilTAGE {
  VilTAGEConfig config;
  RenderLoop renderLoop;
  VilTAGEScreen screen;
  
  VilTAGE(this.config) {
    renderLoop = new RenderLoop();
    screen = new VilTAGEScreen(this);
  }
  
  setScreen(VilTAGEScreen newScreen) {
    screen.remove();
    renderLoop.removeStage(screen);
    renderLoop.addStage(newScreen);
    screen = newScreen;
    newScreen.show();
    screen.onEnterFrame.listen((EnterFrameEvent e) {
      update(screen.frameRate);
    });
  }
  
  update(num frameRate) {
    print(frameRate);
  }
}